/*ASCEND Summer Workshop 2020
 * Loops and Timers
 * 
 * This is a reference sketch to be used with the 
 * Control Systems Part 1 workshop material.
 * 
 * This sketch includes
 * - Using millis() to keep track of time
 * - For loops
 * - while loops
 */


// variables to hold time in milliseconds
int start, finish, loopTime = 0;

// extended capacity variable fro holding time
unsigned long time = 0;

void setup() {
  Serial.begin(9600);
}

void loop() {
  // print total runtime. millis() holds time
  // since system start
  Serial.print("Time in ms since launch: ");
  Serial.println(millis());
  
  // mark start of for loop and save runtime
  Serial.println("-----Begin for loop-----");
  start = millis();

  // for loop runs 10 times, printing each iteration
  // ***************for loop format:****************
  // for(variable start; exit condition; increment)
  for (int i = 0; i < 10; ++i) {
    Serial.print("i is now  ");    
    Serial.println(i);             
  }

  // mark end of for loop and save runtime
  Serial.println("-----End for loop-----");
  finish = millis();

  // subtract start from end to get loop time
  loopTime = finish - start;

  // print total time of for loop
  Serial.print("The for loop has completed in ");
  Serial.print(loopTime); Serial.println(" ms");


  /*------------------------------------------------------------------*/

  // mark start of while loop and save runtime
  Serial.println("-----Begin while loop-----");
  start = millis();

  // holds number of loops condition
  int loopCount = 0;
  // while loop runs 10 times, printing each iteration
  while (loopCount < 10) {
    Serial.print("loopCount is now ");
    Serial.println(loopCount);
    ++loopCount;      // increment loopCount
  }

  // mark end of while loop and save runtime
  Serial.println("-----End while loop-----");
  finish = millis();

  // substract start from end to get loop time
  loopTime = finish - start;

  // print total time of while loop
  Serial.print("The while loop has completed in ");
  Serial.print(loopTime); Serial.println(" ms");

  // wait 3 seconds
  delay(3000);
}
