/*ASCEND Summer Workshop 2020
 * Potentiometer Logic
 * 
 * This is a reference sketch to be used with the 
 * Control Systems Part 1 workshop material.
 * 
 * This sketch includes
 * - Using pinMode functions
 * - Storing values from an input
 * - Using logic to make decisions
 * - Storing true/false using booleans
 */

void setup() {
  Serial.begin(9600);  // open serial connection for viewing text
  pinMode(13, OUTPUT);  // use pin 13 as an output
  pinMode(12, OUTPUT);  // use pin 12 as an output
}

void loop() {
  boolean potState; // create boolean variable
  int potPosition = analogRead(0); // read the output from the knob
  Serial.print("potPosition: ");
  Serial.println(potPosition); // view pot position

  // if pot value is greater than or equal to 400,
  // trigger the block                               
  if(potPosition >= 400) {
    digitalWrite(12, LOW);    // turn off pin 12
    digitalWrite(13, HIGH);   // turn on pin 13
    potState = false;         // set pot state
  } else {    
    // if the pot value is anything else, do this instead
    digitalWrite(12, HIGH);   // turn on pin 12
    digitalWrite(13, LOW);    // turn off pin 13
    potState = true;          // set pot state
  }

  // Print the state of the pot
  Serial.print("Is the pot above 400? : ");
  Serial.println(potState);   // 1 for true, 0 for false
}
