/* ASCEND Summer Workshop 2020
 *  This is a reference sketch to be used with the
 *  Control Systems Part 1 workshop material.
 *  
 *  Included in this sketch:
 *  - Serial.begin command
 *  - Serial.print and Serial.println
 *  
 *  Note: Open the serial monitor to view output. 
 *        Hit the reset button to watch the loop
 *        start from the beginning!
 *
 */

void setup() {
  // Begin serial connection.
  // This line is required to print to the serial monitor.
  // Use 9600 as the argument for now.
  Serial.begin(9600);
}

void loop() {
  // Println prints text where next print
  // starts on a new line
  Serial.println("Hello World!");

  delay(2000);    // wait two seconds

  // Print will print text where next print
  // starts where it left off
  Serial.print("This text continues");
  Serial.print(" where it left off");

  Serial.println();   // print just a new line

  delay(2000);    // wait two seconds

  // Two commands on the same line
  // Compilers ignore whitespace
  Serial.print("One line "); Serial.println(", two commands.");

  delay(2000);    // wait two seconds

}
