/*ASCEND Summer Workshop 2020
 * Potentiometer Logic
 * 
 * This is a reference sketch to be used with the 
 * Control Systems Part 1 workshop material.
 * 
 * This sketch includes
 * - Reading analog sensors
 * - Using an indicator LED
 * - Turning an LED On/Off using digitalWrite and delay functions
 * - Using a for loop to control the blink
 * - Converting voltage to C and F (varies between sensors)
 */

void setup() {
  Serial.begin(9600);   // begin serial connection
  pinMode(7, OUTPUT);   // pin for indicator LED

  // loop to flash LED indicating setup is complete
  for(int i = 0; i < 5; ++i) {
    digitalWrite(7, HIGH);
    delay(200);
    digitalWrite(7, LOW);
    delay(200);
  }
}
void loop() {

  // grab readings from both sensors
  float photocell = analogRead(0);
  int tmp36 = analogRead(1);

  // convert the reading to voltage
  float tempV = (tmp36 * 5.0) / 1024.0;

  // comvert voltage to Celsius
  float tempC = (tempV - 0.5) * 100.0;
  
  // convert Celsius to Farenheit
  float tempF = tempC * 1.8 + 32.0;

  // print photocell value
  Serial.print("Photocell: ");
  Serial.println(photocell);

  // print temperature in C and F
  Serial.print("Temp: ");
  Serial.print(tempC, 2); Serial.print("C, ");
  Serial.print(tempF, 2); Serial.println("F");

    // loop to indicate reading completed
  for(int i = 0; i < 5; ++i) {
    digitalWrite(7, HIGH);
    delay(50);
    digitalWrite(7, LOW);
    delay(50);
  }

  delay(900);   // delay between readings
}
